org.red5.spring

## Class ExtendedPropertyPlaceholderConfigurer.ResourceFilenameComparator

- java.lang.Object
- - org.red5.spring.ExtendedPropertyPlaceholderConfigurer.ResourceFilenameComparator

All Implemented Interfaces:
  Serializable, Comparator<org.springframework.core.io.Resource>

Enclosing class:
  ExtendedPropertyPlaceholderConfigurer

    public static class ExtendedPropertyPlaceholderConfigurer.ResourceFilenameComparator
    extends Object
    implements Comparator<org.springframework.core.io.Resource>, Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ExtendedPropertyPlaceholderConfigurer.ResourceFilenameComparator()`

### Method Summary

Methods
`int` `compare(org.springframework.core.io.Resource resource1, org.springframework.core.io.Resource resource2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals`

### Constructor Detail

#### ExtendedPropertyPlaceholderConfigurer.ResourceFilenameComparator

    public ExtendedPropertyPlaceholderConfigurer.ResourceFilenameComparator()

### Method Detail

#### compare

    public int compare(org.springframework.core.io.Resource resource1,
              org.springframework.core.io.Resource resource2)

Specified by:
  `compare` in interface `Comparator<org.springframework.core.io.Resource>`